import { Control, FieldValues } from 'react-hook-form';
interface AdminRepeaterProps<RepeaterType, RenderType, SubmitDataType extends FieldValues> {
    control: Control<SubmitDataType, any>;
    name: string | any;
    repeaterFields: RepeaterType[];
    renderField: (prop: RenderType) => JSX.Element | null;
    label?: string;
    limit?: number;
    errors: any;
    initialAdded?: boolean;
}
declare const AdminRepeater: <RepeaterType, RenderType, SubmitDataType extends FieldValues>(props: AdminRepeaterProps<RepeaterType, RenderType, SubmitDataType>) => import("react/jsx-runtime").JSX.Element;
export default AdminRepeater;
