import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Typography } from '@mui/material';
import Switch from '@mui/material/Switch';
import './adminToggle-styles.scss';
const AdminToggle = (props) => {
    const { value, onChange, label = 'Label', size = 'medium' } = props;
    return (_jsxs("div", { className: "adminToggle__container", children: [_jsx(Typography, { className: "adminToggle__label", children: label }), _jsx(Switch, { checked: value, onChange: onChange, inputProps: { 'aria-label': 'controlled' }, size: size })] }));
};
export default AdminToggle;
