import React from 'react';
import { FieldValues, SubmitHandler } from 'react-hook-form';
import { FormTypeEnum } from '../../components/form/AdminForm';
import { type ICrudProps, type ILayoutProps, type IWithCrudProps } from '../../types';
import './withCrud-styles.scss';
export type SubmitHandlerType<SubmitDataType extends FieldValues> = (formType: FormTypeEnum | null) => SubmitHandler<SubmitDataType>;
declare function WithCrud(Component: React.ComponentType<ICrudProps<any> & ILayoutProps<any>>): <SubmitDataType extends FieldValues>(props: IWithCrudProps<SubmitDataType>) => import("react/jsx-runtime").JSX.Element;
export { WithCrud };
